#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n,l;
    cin>>n>>l;
    int h[n];
    for(int i=0;i<n;i++)
    {
        cin>>h[i];
    }
    bool pom=true;
    for(int i=0;i<n;i++)
    {
        if(h[i]<=l)
        {
            cout<<i+1;
            pom=true;
            break;
        }
        else
        {
            pom=false;
        }
    }
    if(pom==false)
        cout<<"-1";
    return 0;
}